Đến nội dung


Hình ảnh

đặt lệnh tắt cho các Layer bằng phím số bên trên


  • Please log in to reply
8 replies to this topic

#1 quancomeon

quancomeon

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 52 (tàm tạm)

Đã gửi 23 May 2008 - 10:39 AM

Tôi biết vấn đề này đối với nhiều người là rất đơn giản. Nhưng đối với người mới học thì quả là không dễ. Tôi thấy tính năng này rất hữu ích. thanks
  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 23 May 2008 - 10:46 AM

Tôi biết vấn đề này đối với nhiều người là rất đơn giản. Nhưng đối với người mới học thì quả là không dễ. Tôi thấy tính năng này rất hữu ích. thanks


http://www.cadviet.c...ayer-t2120.html

Bạn cầm con chuột (máy tính của bạn) ngón trỏ đặt trên nút trái của nó, rê cho nó tới cái đường link trên đây ấn ngón trỏ của bạn xuống 1 cái thì vần đề bạn hỏi sẽ được giải quyết. :cheers:
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#3 ngochoang8681

ngochoang8681

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 May 2008 - 11:11 AM

hỏi kiểu đó đố ai trả lời được
phải hỏi rõ là bạn muốn làm gì chứ?
  • 1

#4 quancomeon

quancomeon

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 52 (tàm tạm)

Đã gửi 23 May 2008 - 11:33 AM

xin lỗi nhé, ý tôi hỏi là ví dụ như mình ấn phím 1 thì layer text hiện ra, ấn phím 2 thì layer dim hiện ra chẳng hạn...
  • 0

#5 Updatelisp

Updatelisp

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 23 May 2008 - 01:08 PM

Tôi biết vấn đề này đối với nhiều người là rất đơn giản. Nhưng đối với người mới học thì quả là không dễ. Tôi thấy tính năng này rất hữu ích. thanks

Đơn giản ta dùng lisp thôi!muốn Layer nào xuất hiện thì ấn phím đó. Ví dụ gán từ 1-9 tương ứng với 9 Layer, khi muốn dùng cái nào thì nhấn phím đó thì ok thôi
tham khảo đọan code của mình :
(defun c:1() (command "LAYER" "N" "1" "C" "1" "1" "T" "1" "S" "1" ""))
(defun c:2() (command "LAYER" "N" "2" "C" "2" "2" "T" "2" "S" "2" ""))
(defun c:3() (command "LAYER" "N" "3" "C" "3" "3" "T" "3" "S" "3" ""))
(defun c:4() (command "LAYER" "N" "4" "C" "4" "4" "T" "4" "S" "4" ""))
(defun c:5() (command "LAYER" "N" "5" "C" "5" "5" "T" "5" "S" "5" ""))
(defun c:6() (command "LAYER" "N" "6" "C" "6" "6" "T" "6" "S" "6" ""))
(defun c:7() (command "LAYER" "N" "7" "C" "7" "7" "T" "7" "S" "7" ""))
(defun c:8() (command "LAYER" "N" "8" "C" "8" "8" "T" "8" "S" "8" ""))
(defun c:9() (command "LAYER" "N" "9" "C" "9" "9" "T" "9" "S" "9" ""))
(defun c:0( )(command "LAYER" "N" "De" "C" "9" "De" "T" "De" "S" "De" ""))
  • 3
Thân Z707!
Không nên hiểu và cũng không nên,không nên hiểu!

#6 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 761 (tốt)

Đã gửi 23 May 2008 - 03:25 PM

xin lỗi nhé, ý tôi hỏi là ví dụ như mình ấn phím 1 thì layer text hiện ra, ấn phím 2 thì layer dim hiện ra chẳng hạn...

Ý tưởng cũng hay, chỉ có điều tôi không tài nào nhớ được bản vẽ của tôi có những lớp nào, rồi phím số mà tôi đã gán cho lớp nào đó là gì...
  • 0

#7 quancomeon

quancomeon

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 52 (tàm tạm)

Đã gửi 25 May 2008 - 11:03 AM

sau một ngày mày mò về lisp, copy paste tôi đã thực hiện được mục đích của mìnhile tôi làm lên, bạn nào thấy muốn thử thì down vê. vao tool/load application/load/close. nhớ close 2 lần nhe, file của tôi bị lỗi mà.. Roi thu an 1,2, 3...11,12 se hien cac layer.đường link là

<a href="http://www.cadviet.com/upfiles/QUAN_LY_LAYER_BANG_SO_1.lsp" target="_blank">http://www.cadviet.com/upfiles/QUAN_LY_LAYER_BANG_SO_1.lsp</a>

làm xong cai này, tôi lại muốn tao lisp, mà tạo cac text style, dimension style , tôi muốn biết lệnh này lắm. tôi đã tim tai lieu trong web nay, tim duoc roi nhung van chua làm duoc. mọi người giúp tôi nhe. thanks
  • 0

#8 thaivanminhkts

thaivanminhkts

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 30 May 2008 - 02:21 PM

Để tắt mở các layer cho nhanh tôi thường dùng phím số 1,2,3 tương ứng với 1=layon, 2=layiso, 3=layoff , từ khi sử dụng chức năng nầy tôi thấy công việc chỉnh sửa bản vẽ hiệu quả hơn.
  • 0

#9 dh2xd

dh2xd

    biết vẽ pline

  • Members
  • PipPip
  • 65 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 18 June 2008 - 05:20 PM

cái đấy chỉ là thói quen của mỗi người thôi, như e e hay dùng 1,2,3.. để đổi đối tướng sang các layer chính của bản vẽ như netcat, netthay, netmanh ..... rất nhanh và hiệu quả khiến khối thằng bạn há hốc khi xem
  • 0